# BUDEES
## Bubble Dynamics Coupled to Electrochemistry in Water Electrolysis Simulation
**BUDEES is a software that allows fast simulation of bubble dynamics in electrolyzers and their interactions with electrical parameters.**

*Copyright (C) 2024 <CNRS-ENS Rennes-Université de Rennes-CY Cergy Paris Université-Université Paris Saclay-CNAM Paris-ENS Paris-Saclay>*

## Dependencies
This project relies on the following libraries:

1. **Eigen v3.4.0**
   - Eigen is a C++ template library for linear algebra: matrices, vectors, numerical solvers, and related algorithms.
   - You can download Eigen v3.4.0 from the official website: [Eigen](https://eigen.tuxfamily.org/).

2. **LoadBMP v1.1.0**
   - LoadBMP is a simple library to load and write BMP image files.
   - This library is included in the `lib` directory of this project. No additional download is necessary.


## License
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see https://www.gnu.org/licenses/